<html><head><meta http-equiv="content-type" content="text/html; charset=utf-8"></head><body dir="auto"><div><span style="-webkit-text-size-adjust: auto; background-color: rgba(255, 255, 255, 0);">Hi All,<br>     When trying to start snort, I get the following errors.<br><br>Starting SNORTD p2p2 (snort): /usr/local/bin/snort: error while loading shared libraries: libdnet.1: cannot open shared object file: No such file or directory<br><br>I just upgraded from 2.9.4.5 to 2.9.6.0.<br>I can get past this error by adding the environment variable:</span></div><div><span style="-webkit-text-size-adjust: auto; background-color: rgba(255, 255, 255, 0);"><br></span></div><div><pre class="bbcodeblock" dir="ltr" style="margin-top: 0px; margin-right: -99999px; margin-bottom: 0px; padding: 3px; border: 1px inset; width: 284px; height: 34px; overflow: auto;"><font face="UICTFontTextStyleBody"><span style="white-space: normal; -webkit-text-size-adjust: auto; background-color: rgba(255, 255, 255, 0);">export LD_LIBRARY_PATH=/usr/local/lib</span></font></pre><span style="-webkit-text-size-adjust: auto; background-color: rgba(255, 255, 255, 0);"><div><span style="-webkit-text-size-adjust: auto; background-color: rgba(255, 255, 255, 0);"><br></span></div>but, I never had to do that before. Here is my "ldd snort" before adding the environment var:<br><br>ldd snort<br>    linux-vdso.so.1 =>  (0x00007fffa2acd000)<br>    libdnet.1 => not found<br>    libcrypto.so.10 => /usr/lib64/libcrypto.so.10 (0x000000339a400000)<br>    libpcre.so.0 => /lib64/libpcre.so.0 (0x00000033a1000000)<br>    libnsl.so.1 => /lib64/libnsl.so.1 (0x0000003399c00000)<br>    libm.so.6 => /lib64/libm.so.6 (0x0000003397000000)<br>    libdl.so.2 => /lib64/libdl.so.2 (0x0000003396000000)<br>    libsfbpf.so.0 => /usr/local/lib/libsfbpf.so.0 (0x00007f51671b4000)<br>    libpcap.so.1 => /usr/local/lib/libpcap.so.1 (0x00007f5166f76000)<br>    libz.so.1 => /lib64/libz.so.1 (0x0000003396c00000)<br>    libpthread.so.0 => /lib64/libpthread.so.0 (0x0000003396800000)<br>    libc.so.6 => /lib64/libc.so.6 (0x0000003396400000)<br>    /lib64/ld-linux-x86-64.so.2 (0x0000003395c00000)<br><br>What did I do wrong then upgrading? I compiled and installed the new daq and snort. I would rather not have to specify the LD_LIBRARY_PATH, it's not that way on any of my other servers that I'm going to be upgrading. My test server that was a clean install didn't need it.<br><br>Thanks,<br>Ed</span></div><div><span style="-webkit-text-size-adjust: auto; background-color: rgba(255, 255, 255, 0);"><br></span><div style="-webkit-text-size-adjust: auto;"><div>Sent from a mobile device. </div></div></div></body></html>